--- Cargo.toml.orig	2024-03-12 12:16:04.070559000 +0100
+++ Cargo.toml	2024-03-12 12:50:58.562401000 +0100
@@ -436,6 +436,9 @@ crossbeam-epoch = { git = "https://github.com/solana-l
 [patch.crates-io]
 # for details, see https://github.com/solana-labs/crossbeam/commit/fd279d707025f0e60951e429bf778b4813d1b6bf
 crossbeam-epoch = { git = "https://github.com/solana-labs/crossbeam", rev = "fd279d707025f0e60951e429bf778b4813d1b6bf" }
+aes-gcm-siv = { git = "https://github.com/RustCrypto/AEADs", rev = "6105d7a5591aefa646a95d12b5e8d3f55a9214ef" }
+curve25519-dalek = { git = "https://github.com/solana-labs/curve25519-dalek.git", rev = "b500cdc2a920cd5bff9e2dd974d7b97349d61464" }
+tokio = { git = "https://github.com/solana-labs/solana-tokio.git", rev = "7cf47705faacf7bf0e43e4131a5377b3291fce21" }
 
 # We include the following crates as our dependencies above from crates.io:
 #
@@ -507,9 +510,9 @@ solana-zk-token-sdk = { path = "zk-token-sdk" }
 #
 # https://github.com/RustCrypto/AEADs/compare/aes-gcm-siv-v0.10.3..6105d7a5591aefa646a95d12b5e8d3f55a9214ef
 #
-[patch.crates-io.aes-gcm-siv]
-git = "https://github.com/RustCrypto/AEADs"
-rev = "6105d7a5591aefa646a95d12b5e8d3f55a9214ef"
+#[patch.crates-io.aes-gcm-siv]
+#git = "https://github.com/RustCrypto/AEADs"
+#rev = "6105d7a5591aefa646a95d12b5e8d3f55a9214ef"
 
 # Our dependency tree has `curve25519-dalek` v3.2.1.  They have removed the
 # constraint in the next major release. The commit that removes the `zeroize`
@@ -540,9 +543,9 @@ rev = "6105d7a5591aefa646a95d12b5e8d3f55a9214ef"
 #
 # https://github.com/dalek-cryptography/curve25519-dalek/compare/3.2.1...solana-labs:curve25519-dalek:3.2.1-unpin-zeroize
 #
-[patch.crates-io.curve25519-dalek]
-git = "https://github.com/solana-labs/curve25519-dalek.git"
-rev = "b500cdc2a920cd5bff9e2dd974d7b97349d61464"
+#[patch.crates-io.curve25519-dalek]
+#git = "https://github.com/solana-labs/curve25519-dalek.git"
+#rev = "b500cdc2a920cd5bff9e2dd974d7b97349d61464"
 
 # Solana RPC nodes experience stalls when running with `tokio` containing this
 # commit:
@@ -558,6 +561,6 @@ rev = "b500cdc2a920cd5bff9e2dd974d7b97349d61464"
 # Comparison:
 # https://github.com/tokio-rs/tokio/compare/tokio-1.29.1...solana-labs:solana-tokio:tokio-1.29.1-revert-4eed411
 #
-[patch.crates-io.tokio]
-git = "https://github.com/solana-labs/solana-tokio.git"
-rev = "7cf47705faacf7bf0e43e4131a5377b3291fce21"
+#[patch.crates-io.tokio]
+#git = "https://github.com/solana-labs/solana-tokio.git"
+#rev = "7cf47705faacf7bf0e43e4131a5377b3291fce21"
